unRAID 6 NerdPack - CLI tools (iftop, iotop, screen, kbd, etc.)


jonp

Recommended Posts

24 minutes ago, aptalca said:

You know about "mc", right? Midnight Commander

Yes, but neither is in Nerdpack, and I prefer ranger. Having both in Nerdpack would be great.

 

Reason I use ranger (as my only filebrowser actually)

  • vim based movement keys
  • picture previews (picture in terminal! can even preview 3d files which I made a pull request for in ranger)
  • mass rename works like, opening the list of files in your editor (example vim, which can edit multiple lines at one time)
Link to comment
On 1/1/2020 at 12:14 PM, dmacias said:

You need libffi too

 

On 1/1/2020 at 12:45 PM, wazabees said:

That solved it, thanks! If others are missing libffi, it showed up for me after using "check for updates" in the nerdpack settings.

That's weird, i just updated the NerdPack and also did 'check for updates' and i don't see libffi.

 

UPDATE:

I've uninstalled all the apps, Borg, Python - everything. Rebooted. Reinstalled. Rebooted. Still doesn't work :(

Quote

borg mount not available: loading FUSE support failed [ImportError: No module named 'llfuse']

libffi isn't available for me to install either.

Edited by Derek_
Link to comment

I'm having some problems running some python scripts I was able to run previously i.e. I've screwed something up.  It looks like when I remove python from nerd tools to try a fresh attempt, existing packages and changes I've made are still there e.g. if I do pip list I can see things like requests that I'd already installed.

 

How do I completely uninstall python and any packages I've installed so that I can start from a clean installation?  Thanks in advance

Link to comment
3 hours ago, itimpi said:

Have you rebooted after changing NerdPack to not install them?   That should have cleaned them out.   

Just tried: uninstalling python packages, rebooting and then just installing python3 (no pip or setuptools via nerdpack).  Still having problems installing plexapi, which used to work for the script I use.  I can do this no problem on Windows and Ubuntu, but I need to run this particular script on unRAID.

 

Here's the error if it makes sense to anyone (before the first command I ran (python3 -m ensurepip --default-pip) :

 

root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install plexapi
Collecting plexapi
  Downloading https://files.pythonhosted.org/packages/16/85/54fa59b0b6dc42a3d0b7280adbfe4b452df57e4755a50b092be2c9885c3c/PlexAPI-3.3.0.tar.gz (73kB)
     |████████████████████████████████| 81kB 3.7MB/s
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-230zkyc5/plexapi/setup.py'"'"'; __file__='"'"'/tmp/pip-install-230zkyc5/plexapi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
         cwd: /tmp/pip-install-230zkyc5/plexapi/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
WARNING: You are using pip version 19.2.3, however version 19.3.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install --upgrade pip
Collecting pip
  Downloading https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl (1.4MB)
     |████████████████████████████████| 1.4MB 3.2MB/s
Installing collected packages: pip
  Found existing installation: pip 19.2.3
    Uninstalling pip-19.2.3:
      Successfully uninstalled pip-19.2.3
Successfully installed pip-19.3.1
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install plexapi
Collecting plexapi
  Using cached https://files.pythonhosted.org/packages/16/85/54fa59b0b6dc42a3d0b7280adbfe4b452df57e4755a50b092be2c9885c3c/PlexAPI-3.3.0.tar.gz
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-dqoxi6ls/plexapi/setup.py'"'"'; __file__='"'"'/tmp/pip-install-dqoxi6ls/plexapi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-dqoxi6ls/plexapi/pip-egg-info
         cwd: /tmp/pip-install-dqoxi6ls/plexapi/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip list
Package     Version
----------- -------
pip         19.3.1
ruamel.yaml 0.16.5
setuptools  41.2.0

I've tried and also failed with:

 

pip3 install plexapi

But I've successfully managed to install requests, ruamel.yaml and lxml.  trakt also fails:

 

pip install trakt
Collecting trakt
  Downloading https://files.pythonhosted.org/packages/08/a0/4689f48a3b53d57c22659e45cb9fabe5b323f2c75727b22fd70d1071a247/trakt-2.12.0.tar.gz
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-e8m1crhi/trakt/setup.py'"'"'; __file__='"'"'/tmp/pip-install-e8m1crhi/trakt/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-e8m1crhi/trakt/pip-egg-info
         cwd: /tmp/pip-install-e8m1crhi/trakt/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

All help appreciated!

Link to comment

For those trying to get BorgBackup mounting to work:

 

https://slackbuilds.org/repository/14.2/system/borgbackup/

Quote

FIXME: Due to outdated version of llfuse here at SBo, building borgbackup with mount support using llfuse will fail.

 

Is this what is messing us up, if so what can we do about this? I don't know how Slackware maintenance works, can we request it be updated?

 

I note that Arch's version of Python-llfuse is higher: 1.3.6-2

https://www.archlinux.org/packages/community/x86_64/python-llfuse/

 

1.1 for Slackware

https://slackbuilds.org/repository/14.2/python/llfuse/

 

Or is there a manual workaround?

 

Thanks.

Link to comment
On 1/15/2020 at 9:31 PM, bland328 said:

I humbly nominate the moreutils collection for inclusion in NerdPack.

 

I'm particularly interested in the sponge and pee commands, but there's a variety of good stuff in there.

 

moreutils is a nice complement to coreutils, which I believe is already included in Unraid.

 

Thanks for considering, @dmacias, and for your generous work on NerdPack!

 

On 1/15/2020 at 4:59 AM, Ziggurat said:

Can I request ranger to be added as a package?
https://github.com/ranger/ranger/

 

I see many requests for a filebrowser on unraid. This would be one. Just open the terminal and type ranger and you got a terminal :D

add both of these

Link to comment
1 hour ago, Derek_ said:

For those trying to get BorgBackup mounting to work:

 

https://slackbuilds.org/repository/14.2/system/borgbackup/

 

Is this what is messing us up, if so what can we do about this? I don't know how Slackware maintenance works, can we request it be updated?

 

I note that Arch's version of Python-llfuse is higher: 1.3.6-2

https://www.archlinux.org/packages/community/x86_64/python-llfuse/

 

1.1 for Slackware

https://slackbuilds.org/repository/14.2/python/llfuse/

 

Or is there a manual workaround?

 

Thanks.

I take it you're not on unraid 6.8. Everything for borgbackup is compiled and working for 6.8.

Link to comment
11 hours ago, DZMM said:

Just tried: uninstalling python packages, rebooting and then just installing python3 (no pip or setuptools via nerdpack).  Still having problems installing plexapi, which used to work for the script I use.  I can do this no problem on Windows and Ubuntu, but I need to run this particular script on unRAID.

 

Here's the error if it makes sense to anyone (before the first command I ran (python3 -m ensurepip --default-pip) :

 


root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install plexapi
Collecting plexapi
  Downloading https://files.pythonhosted.org/packages/16/85/54fa59b0b6dc42a3d0b7280adbfe4b452df57e4755a50b092be2c9885c3c/PlexAPI-3.3.0.tar.gz (73kB)
     |████████████████████████████████| 81kB 3.7MB/s
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-230zkyc5/plexapi/setup.py'"'"'; __file__='"'"'/tmp/pip-install-230zkyc5/plexapi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
         cwd: /tmp/pip-install-230zkyc5/plexapi/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
WARNING: You are using pip version 19.2.3, however version 19.3.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install --upgrade pip
Collecting pip
  Downloading https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl (1.4MB)
     |████████████████████████████████| 1.4MB 3.2MB/s
Installing collected packages: pip
  Found existing installation: pip 19.2.3
    Uninstalling pip-19.2.3:
      Successfully uninstalled pip-19.2.3
Successfully installed pip-19.3.1
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip install plexapi
Collecting plexapi
  Using cached https://files.pythonhosted.org/packages/16/85/54fa59b0b6dc42a3d0b7280adbfe4b452df57e4755a50b092be2c9885c3c/PlexAPI-3.3.0.tar.gz
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-dqoxi6ls/plexapi/setup.py'"'"'; __file__='"'"'/tmp/pip-install-dqoxi6ls/plexapi/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-dqoxi6ls/plexapi/pip-egg-info
         cwd: /tmp/pip-install-dqoxi6ls/plexapi/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
root@Highlander:/mnt/cache/appdata/other/plex/python-plexlibrary-master# pip list
Package     Version
----------- -------
pip         19.3.1
ruamel.yaml 0.16.5
setuptools  41.2.0

I've tried and also failed with:

 


pip3 install plexapi

But I've successfully managed to install requests, ruamel.yaml and lxml.  trakt also fails:

 


pip install trakt
Collecting trakt
  Downloading https://files.pythonhosted.org/packages/08/a0/4689f48a3b53d57c22659e45cb9fabe5b323f2c75727b22fd70d1071a247/trakt-2.12.0.tar.gz
    ERROR: Command errored out with exit status 1:
     command: /usr/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/tmp/pip-install-e8m1crhi/trakt/setup.py'"'"'; __file__='"'"'/tmp/pip-install-e8m1crhi/trakt/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base /tmp/pip-install-e8m1crhi/trakt/pip-egg-info
         cwd: /tmp/pip-install-e8m1crhi/trakt/
    Complete output (11 lines):
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/usr/lib64/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
        from setuptools.dist import Distribution, Feature
      File "/usr/lib64/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
        from setuptools import windows_support
      File "/usr/lib64/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
        import ctypes
      File "/usr/lib64/python3.8/ctypes/__init__.py", line 7, in <module>
        from _ctypes import Union, Structure, Array
    ImportError: libffi.so.7: cannot open shared object file: No such file or directory
    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.

All help appreciated!

If you're on unraid 6.8 you can install libffi and plexapi will install. unraid has an older version.

Link to comment
30 minutes ago, dmacias said:

I take it you're not on unraid 6.8. Everything for borgbackup is compiled and working for 6.8.

Ah, ok. That's right, I'm still on 6.7.2. I've been holding off upgrading to 6.8 for a little bit. Thanks for the rapid reply, I will try again after I upgrade.

 

Cheers.

Edited by Derek_
Link to comment
5 minutes ago, Derek_ said:

Ah, ok. That's right, I'm still on 6.7.2. I've been holding off upgrading to 6.8 for a little bit. Thanks for the rapid reply, I will try again after I upgrade.

 

Cheers.

I went ahead and updated the python packages for 6.7 and add libffi. See if that works

Link to comment
5 hours ago, dmacias said:

I went ahead and updated the python packages for 6.7 and add libffi. See if that works

Thanks for the effort, unfortunately it didn't work.


I uninstalled everything, rebooted, re-installed Borg which installed everything. libffi needed an update ('update ready') - i did the update. Everything is up to date. Rebooted.

borgbackup-1.1.10.20191231-x86_64-1.txz
libffi-3.3-x86_64-1.txz
llfuse-1.1-x86_64-4_slonly.txz
python3-3.8.1-x86_64-1.txz
python-setuptools-42.0.2-x86_64-2.txz

 

Tried borg again:

Quote

borg mount not available: loading FUSE support failed [ImportError: No module named 'llfuse']

 

I noticed python 2.7 was 'update ready'. So i updated that, rebooted. Sadly it didn't help either - same error :(  Maybe it has more to do with the out of date Slackware package?

 

I really appreciate the effort, but maybe i'll just have to wait until i update to 6.8.

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.